build:
  stage: build
  script:
    - npm run build
  artifacts:
    paths:
      - www
  except:
    - schedules

scheduled-build:
  stage: build
  script:
    - npm run build
  only:
    - schedules

unit:
  stage: test
  script:
    - npm run check-icons
    - npm run test -- --watch=false --no-progress --code-coverage
  coverage: '/Statements[^:]*\:[^:]*\s+([\d\.]+)%/'
  artifacts:
    paths:
      - coverage
    reports:
      coverage_report:
        coverage_format: cobertura
        path: coverage/cobertura-coverage.xml
